## Modulemd Errors Modulemd Errors — Error codes for libmodulemd. |

## Stability Level

Stable, unless otherwise indicated

## Functions

GQuark | modulemd_error_quark ()
GQuark | modulemd_yaml_error_quark ()

## Types and Values

#define | MODULEMD_ERROR
enum | ModulemdError
enum | ModulemdErrorEnum
#define | MODULEMD_YAML_ERROR
enum | ModulemdYamlError
enum | ModulemdYamlErrorEnum

## Object Hierarchy

        GEnum
        ├── ModulemdError
        ├── ModulemdErrorEnum
        ├── ModulemdYamlError
        ╰── ModulemdYamlErrorEnum

## Description

## Functions

### modulemd_error_quark ()

    GQuark
    modulemd_error_quark (void);

#### Returns

A GQuark used to identify an error in the general modulemd domain.

Since: 2.9

### modulemd_yaml_error_quark ()

    GQuark
    modulemd_yaml_error_quark (void);

#### Returns

A GQuark used to identify an error in the modulemd yaml domain.

Since: 2.9

## Types and Values

### MODULEMD_ERROR

    #define MODULEMD_ERROR modulemd_error_quark ()

A convenience macro for identifying an error in the general modulemd domain.

Since: 2.9

### enum ModulemdError

#### Members

MMD_ERROR_UPGRADE | Represents an error encountered while upgrading the metadata version of a module stream or module defaults. |
MMD_ERROR_VALIDATE | Represents an error encountered while validating module metadata. |
MMD_ERROR_FILE_ACCESS | Represents an error encountered when attempting to access a file. |
MMD_ERROR_NO_MATCHES | Represents an error indicating that no streams matched when searching for a specific module stream. |
MMD_ERROR_TOO_MANY_MATCHES | Represents an error indicating that multiple streams matched when searching for a specific module stream. |
MMD_ERROR_MAGIC | Could not detect the mime type of a file for automatic detection of compression format. |
MMD_ERROR_NOT_IMPLEMENTED | The requested function is not implemented on this platform, likely due to needing a newer version of a dependency library. |
MMD_ERROR_MISSING_REQUIRED | The object is missing some data necessary for proper operation. |

Since: 2.9

### enum ModulemdErrorEnum

`ModulemdErrorEnum` has been deprecated since version 2.9 and should not be used in newly-written code.

Use ModulemdError instead.

#### Members

MODULEMD_ERROR_UPGRADE | Represents an error encountered while upgrading the metadata version of a module stream or module defaults. |
MODULEMD_ERROR_VALIDATE | Represents an error encountered while validating module metadata. |
MODULEMD_ERROR_FILE_ACCESS | Represents an error encountered when attempting to access a file. |
MODULEMD_ERROR_NO_MATCHES | Represents an error indicating that no streams matched when searching for a specific module stream. Since: 2.2 |
MODULEMD_ERROR_TOO_MANY_MATCHES | Represents an error indicating that multiple streams matched when searching for a specific module stream. Since: 2.2 |
MODULEMD_ERROR_MAGIC | Could not detect the mime type of a file for automatic detection of compression format. Since: 2.8 |
MODULEMD_ERROR_NOT_IMPLEMENTED | The requested function is not implemented on this platform, likely due to needing a newer version of a dependency library. Since: 2.8 |

Since: 2.0

### MODULEMD_YAML_ERROR

    #define MODULEMD_YAML_ERROR modulemd_yaml_error_quark ()

A convenience macro for identifying an error in the modulemd yaml domain.

Since: 2.9

### enum ModulemdYamlError

#### Members

MMD_YAML_ERROR_OPEN | Represents an error encountered while opening a YAML file. |
MMD_YAML_ERROR_PROGRAMMING | Represents an internal programming error encountered while parsing a YAML document. |
MMD_YAML_ERROR_UNPARSEABLE | Represents an error indicating that unexpected data or some other parsing error that violates the YAML spec was encountered while parsing a YAML document. |
MMD_YAML_ERROR_PARSE | Represents an error indicating invalid data violating the modulemd YAML spec was encountered while parsing a YAML document. |
MMD_YAML_ERROR_EMIT | Represents an error encountered while writing a YAML file. |
MMD_YAML_ERROR_MISSING_REQUIRED | Represents an error indicating that required elements are missing while parsing a YAML document. |
MMD_YAML_ERROR_EVENT_INIT | Represents an error indicating that a YAML output event could not be initialized. |
MMD_YAML_ERROR_INCONSISTENT | Represents a data inconsistency error encountered while parsing a YAML document. |
MMD_YAML_ERROR_UNKNOWN_ATTR |  |

Since: 2.9

### enum ModulemdYamlErrorEnum

`ModulemdYamlErrorEnum` has been deprecated since version 2.9 and should not be used in newly-written code.

Use ModulemdYamlError instead.

#### Members

MODULEMD_YAML_ERROR_OPEN | Represents an error encountered while opening a YAML file. |
MODULEMD_YAML_ERROR_PROGRAMMING | Represents an internal programming error encountered while parsing a YAML document. |
MODULEMD_YAML_ERROR_UNPARSEABLE | Represents an error indicating that unexpected data or some other parsing error was encountered while parsing a YAML document. |
MODULEMD_YAML_ERROR_PARSE | Represents an error indicating invalid data was encountered while parsing a YAML document. |
MODULEMD_YAML_ERROR_EMIT | Represents an error encountered while writing a YAML file. |
MODULEMD_YAML_ERROR_MISSING_REQUIRED | Represents an error indicating that required elements are missing while parsing a YAML document. |
MODULEMD_YAML_ERROR_EVENT_INIT | Represents an error indicating that a YAML output event could not be initialized. |
MODULEMD_YAML_ERROR_INCONSISTENT | Represents a data inconsistency error encountered while parsing a YAML document. |

Since: 2.0